ubuntu 16.04: nothing works!

General discussions
sdrplay
Posts: 960
Joined: Wed Jan 07, 2015 7:58 am

Re: ubuntu 16.04: nothing works!

Post by sdrplay » Sat Jul 16, 2016 7:08 am

yes you can rebuild libusb from http://libusb.info - locate the download for the latest.

I have rebuilt the API using slightly different options to see if it's that (1.95.2)...

http://www.sdrplay.com/linux.html

Best regards,

SDRplay Support
Last edited by sdrplay on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

IW2DHW
Posts: 59
Joined: Wed Sep 23, 2015 7:33 pm

Re: ubuntu 16.04: nothing works!

Post by IW2DHW » Sat Jul 16, 2016 10:51 am

sdrplay wrote:yes you can rebuild libusb from http://libusb.info - locate the download for the latest.

I have rebuilt the API using slightly different options to see if it's that (1.95.2)...

http://www.sdrplay.com/linux.html
New API 1.95.2 don't work

I have tested it on Ubuntu 16.04, downloading new API, installing it and re-compiling SoapySDRPlay
Installation of new API go to the end without any error and with message:

Libusb found, continuing...

but testing with SoapySDRUtil this is error message

Code: Select all

spin@franco:~/Scaricati$ SoapySDRUtil --find
######################################################
## Soapy SDR -- the SDR abstraction library
######################################################

Found Fitipower FC0012 tuner
SoapySDRUtil: symbol lookup error: /usr/local/lib/libmirsdrapi-rsp-1.95.so: undefined symbol: libusb_init

spin@franco:~/Scaricati$ ldd /usr/local/lib/libmirsdrapi-rsp-1.95.so
	linux-vdso.so.1 =>  (0x00007ffe889ca000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fdb0c976000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555c94548000)

spin@franco:~/Scaricati$ ls -l /usr/local/lib
totale 12388
lrwxrwxrwx 1 root root       31 nov 30  2015 libgnuradio-osmosdr.so -> libgnuradio-osmosdr.so.0.1.5git
-rw-r--r-- 1 root root   748120 lug 14 21:34 libgnuradio-osmosdr.so.0.1.5git
-rw-r--r-- 1 root root  5581692 lug 13 21:55 libliquid.a
-rw-r--r-- 1 root root  2942024 lug 13 21:55 libliquid.so
lrwxrwxrwx 1 root root       46 lug 16 12:37 libmirsdrapi-rsp-1.95.so -> /usr/local/lib/libmirsdrapi-rsp-x86_64-1.95.so
lrwxrwxrwx 1 root root       46 lug 16 12:37 libmirsdrapi-rsp.so -> /usr/local/lib/libmirsdrapi-rsp-x86_64-1.95.so
-rw-r--r-- 1 root root   302393 lug 16 12:37 libmirsdrapi-rsp-x86_64-1.95.so
lrwxrwxrwx 1 root root       20 lug 14 18:19 libSoapySDR.so -> libSoapySDR.so.0.5-2
-rw-r--r-- 1 root root   266752 lug 14 18:19 libSoapySDR.so.0.5.0
lrwxrwxrwx 1 root root       20 lug 14 18:19 libSoapySDR.so.0.5-2 -> libSoapySDR.so.0.5.0
-rwxr-xr-x 1 root root  2811904 lug 14 21:50 libwdsp.so
drwxr-xr-x 2 root root     4096 lug 14 18:19 pkgconfig
drwxrwsr-x 4 root staff    4096 lug 13 21:30 python2.7
drwxr-xr-x 3 root root     4096 nov 30  2015 python3
drwxrwsr-x 3 root staff    4096 ott 21  2015 python3.5
drwxr-xr-x 3 root root     4096 lug 14 18:21 SoapySDR

spin@franco:~/Scaricati$ ls -l /usr/local/lib/SoapySDR/modules
totale 232
-rw-r--r-- 1 root root 135712 lug 14 18:23 librtlsdrSupport.so
-rw-r--r-- 1 root root  96256 lug 16 12:37 libsdrPlaySupport.so
As you can see there is not a libusb in LDD output for new API.

For test I have also upgraded my old Asus EeePC from 14.04 to 16.04 - 32 bit and the error is the same.

Is your link step for new API correct?

Regards
Franco Spinelli
IW2DHW
Last edited by IW2DHW on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

IW2DHW
Posts: 59
Joined: Wed Sep 23, 2015 7:33 pm

Re: ubuntu 16.04: nothing works!

Post by IW2DHW » Sat Jul 16, 2016 8:13 pm

In this weekend I have done some systematic test on 3 setup.

Setup 1 was my desktop PC running Ubuntu 14.04/64 bit and SDRPlay API 1.8.1

In this setup all is working without any problem. CubicSDR and GQRX (with current gr-osmosdr) are working and is working also my test program in Python, as in my previous post, derived from SoapySDR Python example

Setup 2 was same PC running Ubuntu 16.04/64 bit with SDRPlay API 1.95.1 (1.95.2 don't have linked libusb)

In this setup all SoapySDR based crash Ubuntu. So CubicSDR and my test program crash at stream level (after init_stream, I suppose).
GQRX (with current gr-osmosdr and with fork of HB9FXQ) are working without problems.

Setup 3 was an old Eeepc running Ubuntu 16.04/32 bit with SDRPlay API 1.95.1 (1.95.2 don't have linked libusb)

In this setup all SoapySDR based (CubicSDR and my test program) run without problem. There is a problem for limited resource in laptop but program is working.
GQRX (with of HB9FXQ) is working without problems

So, in conclusion:
  • API 1.95.2 is incorrectly linked and don't work on 32 and 64 bit system.
  • API 1.95.1 is working for 32 bit system with SoapySDR and with gr-osmosdr (HB8FXQ fork)
  • API 1.95.1 (but also API 1.8.1) crash 64 bit system when used with SoapySDR/SoapySDROlay
Hope this help

Regards
Franco Spinelli
IW2DHW
Last edited by IW2DHW on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

AH6DL
Posts: 49
Joined: Sun Jun 14, 2015 7:24 am

Re: ubuntu 16.04: nothing works!

Post by AH6DL » Mon Jul 18, 2016 1:56 am

I've been having problems with my Arch Linux system completely locking up with API 1.94 and API 1.95-1 as well. API 1.95-2 had a symbol error, so it never got to the point of testing it. I'm now using SoapySDR API Version v0.5.0-g37c7ea4b, ABI Version v0.5-2 with the API version 1.95-1.

After finding and reading this thread, I tried connecting SDRPlay to a USB 3.0 port (USB 3.0 hub connected to a Transcend ExpressCard adapter) instead of the USB 2 ports I had been using and guess what, it worked perfectly!

dump1090_sdrplus, which had also been crashing Arch, now works flawlessly with SDRPlay connected to a USB 3.0 port.

I wish I'd tried this sooner!

73...
...Doug, AH6DL
Last edited by AH6DL on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 960
Joined: Wed Jan 07, 2015 7:58 am

Re: ubuntu 16.04: nothing works!

Post by sdrplay » Mon Jul 18, 2016 1:49 pm

Please try 1.95.3, just been released... http://www.sdrplay.com/linux.html

Best regards,

SDRplay Support
Last edited by sdrplay on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

AH6DL
Posts: 49
Joined: Sun Jun 14, 2015 7:24 am

Re: ubuntu 16.04: nothing works!

Post by AH6DL » Tue Jul 19, 2016 1:53 am

I gave 1.95.3 a try, but I'm getting the same error I got with 1.95.2:

Code: Select all

[dl@t520 build]$ SoapySDRUtil --info
######################################################
## Soapy SDR -- the SDR abstraction library
######################################################

API Version: v0.5.0-g37c7ea4b
ABI Version: v0.5-2
Install root: /usr/local
Module found: /usr/local/lib/SoapySDR/modules/librtlsdrSupport.so
Module found: /usr/local/lib/SoapySDR/modules/libsdrPlaySupport.so
Loading modules... done
Available factories...null, rtlsdr, sdrplay, 
[dl@t520 build]$ SoapySDRUtil --probe
######################################################
## Soapy SDR -- the SDR abstraction library
######################################################

Probe device 
SoapySDRUtil: symbol lookup error: /usr/lib/libmirsdrapi-rsp-1.95.so: undefined symbol: libusb_init
I did an "sudo ldconfig" after installing the library just to be sure, same as with the 1.95.1 version, so don't think it is a link issue.

Replacing 1.95.3 with 1.95.1, the probe works. even without recompiling SoapySDRPlay. I verified I am using libusb-1.0.20, the latest available.

73....
. ...Doug AH6DL
Last edited by AH6DL on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

DK7OB
Posts: 79
Joined: Thu Mar 24, 2016 7:14 am

Re: ubuntu 16.04: nothing works!

Post by DK7OB » Tue Jul 19, 2016 5:53 am

After finding and reading this thread, I tried connecting SDRPlay to a USB 3.0 port (USB 3.0 hub connected to a Transcend ExpressCard adapter) instead of the USB 2 ports I had been using and guess what, it worked perfectly!
Interesting. I see exactly the same (see some posts above). What hardware are you using? I have a HP Elitebook 8560p notebook.

Regards,
Wolf, DK7OB
Last edited by DK7OB on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

AH6DL
Posts: 49
Joined: Sun Jun 14, 2015 7:24 am

Re: ubuntu 16.04: nothing works!

Post by AH6DL » Tue Jul 19, 2016 7:34 am

Hi Wolf --

I'm using a Lenovo Thinkpad T520, quad-core Sandy Bridge CPU, with a Transcend Expresscard dual USB 3.0 adapter feeding a fairly old "Plugable" powered USB 3.0 port.

I've got 16 GB of RAM. OS is Arch Linux, a "rolling" distribution that I update regularly, now using Linux Kernel 4.6.4. Since the *.run API program doesn't work on Arch, I originally generated the required library and include files on an Ubuntu virtual machine and copied them over to the /usr/local location. Now there is a PKGBUILD script that extracts the files from the SDRplay_RSP_MiricsAPI-Linux-1.95.X.run program and executes the same commands in the run program's script. See https://aur.archlinux.org/packages/libsdrplay/. I've verified it is working correctly and don't see anything missing. I had to update the MD5 checksum and version number in the PKGBUILD to match the later versions. That's what I've been using ever since the 1.95 API was released.

While there are Arch packages for SoapySDR, its modules, and CubicSDR, I've been compiling them directly from source to make sure I've got the latest versions from GIT.

Hope this helps track down the USB 2.0 issues!

73...
. ...Doug, AH6DL
Last edited by AH6DL on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

sdrplay
Posts: 960
Joined: Wed Jan 07, 2015 7:58 am

Re: ubuntu 16.04: nothing works!

Post by sdrplay » Tue Jul 19, 2016 9:55 am

Hi AH6Dl,

Something isn't right there. The shared library isn't called that any more in 1.95.3 so something either needs to be recompiled or there is some other problem.

Have you rebuilt SoapySDRPlay with 1.95.3?

Best regards,

SDRplay Support
Last edited by sdrplay on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

AH6DL
Posts: 49
Joined: Sun Jun 14, 2015 7:24 am

Re: ubuntu 16.04: nothing works!

Post by AH6DL » Tue Jul 19, 2016 3:48 pm

Yes -- Usually I delete the "build" directory, recreate it, run cmake .. from it, and then make to generate a new copy of SoapySDR and the same for the SoapySDRplay module, but noticing that the action would change. However, with all the changes and testing, some old files may be left behind.

When I get off work I'll take a look at the system and make sure I don't have any old SoapySDR library files in another directory, re-compile and let you know if it works. It looks like some others are seeing the same issue.

...Doug ..
Last edited by AH6DL on Thu Jan 01, 1970 12:00 am, edited 0 times in total.
Reason: No reason

Post Reply